* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

html {
    scroll-behavior: smooth;
    font-size: 65%;
}

body {
    background-color: #000000;
}

::-webkit-scrollbar {
    width: 8px;
}
  
::-webkit-scrollbar-track {
    background-color: #646464;
}
  
::-webkit-scrollbar-thumb {
    background-color: #ffffff;
    border-radius: 10px;
}




/*---------------------- HEADER -------------------------*/

header {
    position: fixed;
    top: 0;
    padding: 15px 80px;
    width: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    opacity: 0.97;
    z-index: 99;
    background-color: #000000;
}

header nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.logo {
    text-decoration: none;
    font-size: 2.5rem;
    font-family: "IBM Plex Sans", sans-serif;
    color: #FAFAFA;
    outline: none;
}

.menu-icon {
    display: none;
}

.nav-list {
    list-style: none;
}

.item-list {
    display: inline-block;
}

.nav-link {
    position: relative;
    margin-right: 30px;
    text-decoration: none;
    font-size: 1.7rem;
    font-weight: 400;
    color: #cccccc;
    outline: none;
}

.nav-link::after {
    position: absolute;
    top: 35px;
    right: 0px;
    content: "";
    height: 2px;
    width: 100%;
    background-color: #FFD700;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.6s;
}


.nav-link:hover::after {
    transform: scaleX(1);
    transform-origin: left;
    
}

.nav-link:hover {
    color: #FFF;
}

.line-1,.line-2, .line-3 {
    width: 30px;
    height: 3px;
    background-color: #fff;
    transition: 0.6s;
}

.line-1t, .line-2t, .line-3t {
    width: 30px;
    height: 3px;
    background-color: #fff;
    transition: transform 0.6s;
}

.line-1t {
    transform: rotate(45deg) translate(5px, 5px);
}

.line-2t {
    display: none;
}

.line-3t {
    transform: rotate(-45deg) ;
}



/* --------------------------------------------------------*/











/* ------------------ */
